Loading...
Searching...
No Matches
PromoteType< math::Vec3< T > > Struct Template Reference

`#include <openvdb/Types.h>`

Inheritance diagram for PromoteType< math::Vec3< T > >:

## Public Types

using | Promote = math::Vec3< typename PromoteType< T >::template Promote< Shift > >
using | Demote = math::Vec3< typename PromoteType< T >::template Demote< Shift > >
using | Highest = math::Vec3< typename PromoteType< T >::Highest >
using | Lowest = math::Vec3< typename PromoteType< T >::Lowest >
using | Next = math::Vec3< typename PromoteType< T >::Next >
using | Previous = math::Vec3< typename PromoteType< T >::Previous >

## Member Typedef Documentation

## Demote

using Demote = math::Vec3 <typename PromoteType<T>::template Demote<Shift> >

inherited

## Highest

using Highest = math::Vec3 <typename PromoteType<T>::Highest>

inherited

## Lowest

using Lowest = math::Vec3 <typename PromoteType<T>::Lowest>

inherited

## Next

using Next = math::Vec3 <typename PromoteType<T>::Next>

inherited

## Previous

using Previous = math::Vec3 <typename PromoteType<T>::Previous>

inherited

## Promote

using Promote = math::Vec3 <typename PromoteType<T>::template Promote<Shift> >

inherited